aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
authorjjanzen <jjanzen@jjanzen.ca>2025-02-10 17:18:55 -0600
committerjjanzen <jjanzen@jjanzen.ca>2025-02-10 17:18:55 -0600
commitfe329badb98497779764af68fe6da14247fbb3c0 (patch)
tree3d9873983cc22ff8afa9a554a56d160f0c1ea705 /deploy.sh
parent21622b46b46b49cf0d7f7b17711f776ff2b43f53 (diff)
parent16920ce482c299951477d658e08149975b21ff0d (diff)
Merge branch 'main' into test
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/deploy.sh b/deploy.sh
index 5ee9db3..4c0e69e 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -x
+
if [ "$1" = "test" ]; then
branch='test'
location='/var/www/html-test'
@@ -21,12 +23,12 @@ git clean -f
git pull
cd ~/dotfiles || exit
-git checkout "$branch"
+git checkout main
git clean -f
git pull
cd ~/blog || exit
-git checkout "$branch"
+git checkout main
git clean -f
git pull
@@ -34,11 +36,13 @@ git pull
cd ~/dotfiles || exit
~/website/fix-dotfile-paths.sh
-cd "$HOME"
+cd "$HOME" || exit
/usr/local/bin/emacs --batch -f package-initialize --script ~/website/publish.el
~/website/post-publish.sh
sed -i 's/) <a href=\"blog\//) <a href=\".\//' ~/public_html/blog/index.html
+sed -i 's/<webMaster>.*<\/webMaster>/<webMaster>jjanzen@jjanzen.ca (jjanzen)<\/webMaster>/g' ~/public_html/rss.xml
+sed -i 's/<author>.*<\/author>/<author>jjanzen@jjanzen.ca (jjanzen)<\/author>/g' ~/public_html/rss.xml
/bin/cp -r "$HOME/public_html"/* "$location"
chown -R apache:apache "$location"